eID middleware |

# be::portugal::eid::PTEID_ExCardTypeUnknown Class Reference

Exception class Card Type Unknown (error code = EIDMW_ERR_CARDTYPE_UNKNOWN). More...

Inheritance diagram for be::portugal::eid::PTEID_ExCardTypeUnknown:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExCardTypeUnknown ()

## Detailed Description

Exception class Card Type Unknown (error code = EIDMW_ERR_CARDTYPE_UNKNOWN).

Throw when the card type is not supported. Used in :

- PTEID_ReaderContext::getCard()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExCardTypeUnknown::PTEID_ExCardTypeUnknown | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExCardTypeUnknown::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.